@import "~scss/variables";

$sw-product-list-color-error: $color-crimson-500;
$sw-product-list-color-success: $color-emerald-500;

.swag-guided-shopping-appointment-list {
  .swag-guided-shopping-appointment-list__content {
    width: 100%;
    height: 100%;
    position: absolute;
  }

  .sw-data-grid__cell--name .path {
    font-size: 12px;
    line-height: 14px;
    padding-left: 10px;
  }

  .sw-data-grid__cell--activity {
    .sw-data-grid__cell-content {
      position: relative;
      padding-right: 50px !important;

      .dash {
        padding: 0 5px;
        text-align: center;
        text-transform: lowercase;
      }
      .not-started {
        width: 100%;
      }

      .running-icon {
        position: absolute;
        right: 20px;
        display: none; //prepared but not displayed icon
      }
    }
  }

  .sw-field-copyable {
    margin: 5px 0 0 0;

    & > svg {
      height: 16px;
      width: 16px;
    }
  }

  .is--inactive {
    color: $sw-product-list-color-error;
  }

  .is--active {
    color: $sw-product-list-color-success;
  }

}
